<?php

namespace App\Classes\Modules\Segments\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Segments\DataTransferObjects\SegmentObject;

class SegmentValidation extends AbstractValidation
{
    /**
     * @param SegmentObject $object
     * @return array
     */
    protected function data($object): array 
    {
        return [
            'name' => $object->getName(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array 
    {
        return [
            'name' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array 
    {
        return [];
    }
}